// JavaScript Document
jQuery(document).ready(function($){
	$('.box-product.qs-content .qty-box').on('blur, change', function(){
		var obj = $(this);
		var val = obj.val();
		var row = obj.parents().closest('tr');
		var btn = row.find('.add_to_cart_button');
		var minq = parseInt(btn.attr('data-quantity-min')); 
		var maxq = parseInt(btn.attr('data-quantity-max')); 

		if((minq==0 || (minq>0 && val>=minq)) || val==0){
			btn.attr('data-quantity', val);
		}
		if(maxq>0 && val>maxq){
			btn.attr('data-quantity', maxq);
		}
		
		
		
	});		
	
	$('.box-product.qs-content .wpsc_buy_button').on('click', function(){
		var obj = $(this);
		obj.parent().find('.added_to_cart').remove();
		$.post(
			wpsc_ajax.ajaxurl, 
			{
				'action': 'wpsc_update_quantity',
				'key':-1,
				'product_id':   $(this).attr('data-product_id'),
				'wpsc_ajax_action': 'wpsc_update_quantity',
				'wpsc_ajax_action': 'add_to_cart',
				'wpsc_quantity_update': $(this).attr('data-quantity'),
				'wpsc_update_quantity': true
				
			}, 
			function(response){
				$(obj).parent().append('<a title="Successfuly added." class="added_to_cart"></a>');
				
			}
		);		
	});
	var wpqs_methods = {
	}
	$('.wpqs_cats, .wpec_cats').on('change', function(){
		//console.log($(this).val());
		if($(this).val()!=null){
			//console.log($(this).val());
			console.log($(this).attr('class'));
			var ids = $(this).val();
			$('.'+$(this).attr('class')+'_code').html(ids.join());
		}

	});
	
	if($('.wpqs_cats, .wpec_cats').length>0){
		$('.wpqs_cats, .wpec_cats').trigger('change');
	}
	
	
});
